summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-10-19 23:17:53 +0100
committer Michiel van Wessem <michiel@slackbuilds.org>2010-10-19 23:17:53 +0100
commit550fceb245407322e6eca336f3c44bb30617e99a (patch)
tree797d2afc086d06b97828466893da540dfc9ef700 /office
parent3b9c9c536c4819249ae803e967f923c9422a95a5 (diff)
downloadslackbuilds-550fceb245407322e6eca336f3c44bb30617e99a.tar.gz
slackbuilds-550fceb245407322e6eca336f3c44bb30617e99a.tar.xz
office/gummi: Added. (Lightweight Latex editor written PyGTK)
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/gummi/README6
-rw-r--r--office/gummi/doinst.sh3
-rw-r--r--office/gummi/gummi.SlackBuild81
-rw-r--r--office/gummi/gummi.info10
-rw-r--r--office/gummi/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/office/gummi/README b/office/gummi/README
new file mode 100644
index 0000000000..4a5dc74ae2
--- /dev/null
+++ b/office/gummi/README
@@ -0,0 +1,6 @@
+Gummi is a lightweight Latex editor written in Python/GTK
+released as open source under a dual MIT/Beerware license.
+Latex is a powerful mark-up language that is widely used for
+academic and professional documents.
+
+Gummi requires gtksourceview.
diff --git a/office/gummi/doinst.sh b/office/gummi/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/gummi/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/gummi/gummi.SlackBuild b/office/gummi/gummi.SlackBuild
new file mode 100644
index 0000000000..ce2a3cb7ca
--- /dev/null
+++ b/office/gummi/gummi.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for gummi
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=gummi
+VERSION=0.5.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-dependency-tracking \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/gummi/gummi.info b/office/gummi/gummi.info
new file mode 100644
index 0000000000..aee0a7c38a
--- /dev/null
+++ b/office/gummi/gummi.info
@@ -0,0 +1,10 @@
+PRGNAM="gummi"
+VERSION="0.5.0"
+HOMEPAGE="http://gummi.midnightcoding.org/"
+DOWNLOAD="http://dev.midnightcoding.org/redmine/attachments/download/62/gummi-0.5.0.tar.gz"
+MD5SUM="863bd36cf67b40a07290f2086a22a665"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="michiel"
diff --git a/office/gummi/slack-desc b/office/gummi/slack-desc
new file mode 100644
index 0000000000..0fc39cc187
--- /dev/null
+++ b/office/gummi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gummi: gummi (Lightweight Latex editor written PyGTK)
+gummi:
+gummi: Gummi is a lightweight Latex editor written in Python/GTK released as
+gummi: open source under a dual MIT/Beerware license. Latex is a powerful
+gummi: mark-up language that is widely used for academic and professional
+gummi: documents.
+gummi:
+gummi: Homepage: http://code.google.com/p/gummi/
+gummi:
+gummi:
+gummi: